@media screen and (max-width: 991px) {
    header {
        .wp-block-navigation {
            .wp-block-navigation__responsive-container {
                background-color: var(--wp--preset--color--secondary) !important;

                .wp-block-navigation__responsive-container-content {
                    justify-content: flex-start !important;
                    align-items: start !important;
                }

                .wp-block-navigation__container {
                    width: 100% !important;
                    align-items: flex-start !important;
                    gap: 0 !important;

                    .wp-block-navigation__container {
                        .wp-block-navigation-item {
                            border-bottom: 0 !important;
                        }
                    }

                    .wp-block-navigation-item {
                        width: 100% !important;
                        flex: 1 !important;
                        align-items: flex-start !important;
                        border-bottom: 1px solid rgba(255, 255, 255, 0.15) !important;

                        &:last-child {
                            border-bottom: 0 !important;
                        }

                        a {
                            padding: 10px 0 !important;
                            color: white !important;
                            font-size: var(--wp--preset--font-size--h-5) !important;
                            font-weight: 400 !important;

                            &:hover {
                                color: var(--wp--preset--color--quaternary) !important;
                            }
                        }
                    }
                }

                .wp-block-navigation__responsive-container-close {
                    svg {
                        fill: white !important;
                    }
                }

                .wp-block-navigation__submenu-container {
                    width: 100% !important;
                    padding: 0 !important;

                    .wp-block-navigation-item {
                        width: 100% !important;
                        padding: 0 !important;

                        a {
                            font-size: var(--wp--preset--font-size--p) !important;
                            color: var(--wp--preset--color--quaternary) !important;
                        }
                    }

                    .wp-block-navigation__submenu-container {
                        .wp-block-navigation-item {
                            a {
                                font-size: var(--wp--preset--font-size--small) !important;
                                color: rgba(255, 255, 255, 0.75) !important;

                                &:hover {
                                    color: white !important;
                                }
                            }
                        }
                    }
                }
            }

            .wp-block-buttons {
                width: 100% !important;
                justify-content: flex-start !important;
                align-items: start !important;

                .wp-block-button {
                    width: 100% !important;
                    border-bottom: 1px solid rgba(255, 255, 255, 0.15) !important;
                    text-align: left !important;

                    .wp-block-button__link {
                        padding: 10px 0 !important;
                        font-size: var(--wp--preset--font-size--h-5) !important;
                        text-align: left !important;

                        &:hover {
                            color: var(--wp--preset--color--quaternary) !important;
                            opacity: 1 !important;
                        }
                    }
                }
            }
        }
    }

    .wp-block-navigation__responsive-container {
        display: none !important;

        &.has-modal-open {
            display: flex !important;
        }
    }

    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: flex !important;
    }
}

@media screen and (min-width: 992px) and (max-width: 1365px) {
    header {
        .wp-block-navigation {
            .wp-block-navigation-item {
                padding-top: 5px;
                padding-bottom: 5px;
            }

            .wp-block-navigation__container {
                > .has-child {
                    .wp-block-navigation__submenu-container {
                        background-color: var(--wp--preset--color--secondary) !important;
                        border: 0 !important;

                        li {
                            padding: 5px 15px !important;
                            border-bottom: 1px solid rgba(255, 255, 255, 0.1) !important;

                            a {
                                color: white !important;
                                padding-left: 0 !important;
                                padding-right: 0 !important;
                            }

                            button {
                                background-color: transparent;

                                svg {
                                    stroke: white !important;
                                }
                            }

                            &:hover {
                                background-color: rgba(255, 255, 255, 0.15);
                            }
                        }
                    }

                    > .wp-block-navigation__submenu-container {
                        left: 0 !important;
                        right: auto !important;

                        .wp-block-navigation__submenu-container {
                            left: 100% !important;
                            right: auto !important;
                            top: 0 !important;
                        }
                    }
                }
            }
        }
    }
}